<template>
  <div class="gpa-months-graphs-legend">
    <ul class="-unstyled">
      <li>
        <svg viewBox="0 0 15 15" class="gpa-months-graph__sheltered"><rect x="0" y="0" width="15" height="15" /></svg>
        {{ $t('activerecord.attributes.resource.sheltered_sowing_months') }}
      </li>
      <li>
        <svg viewBox="0 0 15 15" class="gpa-months-graph__soil"><rect x="0" y="0" width="15" height="15" /></svg>
        {{ $t('activerecord.attributes.resource.soil_sowing_months') }}
      </li>
      <li>
        <svg viewBox="0 0 15 15" class="gpa-months-graph__harvest"><rect x="0" y="0" width="15" height="15" /></svg>
        {{ $t('activerecord.attributes.resource.harvesting_months') }}
      </li>
      <li>
        <svg viewBox="0 0 15 15" class="gpa-months-graph__not-planned"><line x1="0" y1="8" x2="15" y2="8" /></svg>
        {{ $t('js.elements.month_graph_legend.not_planned_yet') }}
      </li>
      <li>
        <svg viewBox="0 0 15 15" class="gpa-months-graph__bar"><line x1="0" y1="8" x2="15" y2="8" /></svg>
        {{ $t('js.elements.month_graph_legend.planned') }}
      </li>
      <li>
        <svg viewBox="0 0 15 15" class="gpa-months-graph__bar--no-planned-removal"><line x1="0" y1="8" x2="15" y2="8" /></svg>
        {{ $t('js.elements.month_graph_legend.no_planned_removal') }}
      </li>
    </ul>
  </div>
</template>

<script>
export default {
  name: 'GpaMonthsGraphsLegend',
}
</script>

<style lang="scss" src="./_MonthsGraphsLegend.scss" />
